org.apache.hadoop.mapreduce.counters

## Class AbstractCounter

- java.lang.Object
- - org.apache.hadoop.mapreduce.counters.AbstractCounter

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable, Counter
  Direct Known Subclasses:
    FileSystemCounterGroup.FSCounter, FrameworkCounterGroup.FrameworkCounter, GenericCounter

      @InterfaceAudience.Private
      public abstract class AbstractCounter
      extends Object
      implements Counter

  An abstract counter class to provide common implementation of the counter interface in both mapred and mapreduce packages.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCounter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object genericRight)`
    `int` | `hashCode()`
    `void` | `setDisplayName(String name)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapreduce.Counter

      `getDisplayName, getName, getUnderlyingCounter, getValue, increment, setValue`

    - ### Methods inherited from interface org.apache.hadoop.io.Writable

      `readFields, write`

- - ### Constructor Detail

    - #### AbstractCounter

          public AbstractCounter()

  - ### Method Detail

    - #### setDisplayName

          @Deprecated
          public void setDisplayName(String name)

      Deprecated.
      Description copied from interface: `Counter`
      Set the display name of the counter
      Specified by:
        `setDisplayName` in interface `Counter`
      Parameters:
        `name` - of the counter

    - #### equals

          public boolean equals(Object genericRight)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.